> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://help.kajabi.com/feedback

```json
{
  "path": "/api-reference/contacts/revoke-offer-from-contact",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Revoke offer from contact

> ## Revoke offer grant(s) for a contact
Revoke offer grant(s) using a list of resource identifiers
In the request body inlcude offer resource identifier(s), `id: OFFER_ID`, `type: "offers"`.
```
{ "data": [{"type": "offers", "id": "123"}] }
```
## Response
* A successful response body will list the offers related to the contact
* An error response will include a JSON body with error details.

## Behaviors and side effects
* Only affects active offers
* Handles both offer purchases and offer grants
* Deactivates all associated product memberships




## OpenAPI

````yaml /openapi.yaml delete /v1/contacts/{contact_id}/relationships/offers
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/contacts/{contact_id}/relationships/offers:
    delete:
      tags:
        - Contacts
      summary: Revoke offer from contact
      description: >
        ## Revoke offer grant(s) for a contact

        Revoke offer grant(s) using a list of resource identifiers

        In the request body inlcude offer resource identifier(s), `id:
        OFFER_ID`, `type: "offers"`.

        ```

        { "data": [{"type": "offers", "id": "123"}] }

        ```

        ## Response

        * A successful response body will list the offers related to the contact

        * An error response will include a JSON body with error details.


        ## Behaviors and side effects

        * Only affects active offers

        * Handles both offer purchases and offer grants

        * Deactivates all associated product memberships
      parameters:
        - name: contact_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/resource_identifier'
              required:
                - data
      responses:
        '200':
          description: Success, removes tag relationship to contact resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/contacts_relationships_tags_response'
        '400':
          description: Bad Request, invalid request body
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_bad_request'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
        '404':
          description: Not found, the resource is unknown
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
      security:
        - Bearer: []
components:
  schemas:
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    contacts_relationships_tags_response:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/resource_identifiers'
        links:
          type: object
          properties:
            self:
              type: string
    errors_bad_request:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    resource_identifiers:
      type: array
      items:
        $ref: '#/components/schemas/resource_identifier'
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````